I = (S = Uno.Audio.Sound = function() {}).prototype;

S.$0 = function(filename, mode) {
    var $ = new Uno.Audio.Sound;
    $.audio = new Audio("data/" + filename);
    _loadingImageCount++;
    $.audio.oncanplay = function () {
        _loadingImageCount--;
    }
    $.audio.load();
    return $;
}

I.Duration = function() {
    return this.audio.duration;
}

I.Play = function() {
    return new Uno.Audio.Channel(this.audio.src, false);
}

I.PlayLoop = function() {
    return new Uno.Audio.Channel(this.audio.src, true);
}
